# $Revision: 1.81 $, $Date: 2012/04/20 10:52:52 $
Summary:	EFI bootloader updater
Summary(pl.UTF-8):	Skrypt do uaktualniania bootloaderów EFI
Name:		efi-boot-update
Version:	0.1
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	%{name}
Source1:	update.conf
Source2:	grub.conf
Source3:	grub-installed.conf
Source10:	README
Source11:	TODO
URL:		http://www.pld-linux.org/
BuildRequires:	help2man
Suggests:	efibootmgr
Suggests:	efi-shell-x64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir /sbin

%description
Script to update EFI bootloaders.

%description -l pl.UTF-8
Skrypt do uaktualniania bootloaderów EFI.

%prep
%setup -qcT
cp %{SOURCE0} .
cp %{SOURCE10} %{SOURCE11} .

%build
chmod a+x %{name}
help2man --no-info ./%{name} > %{name}.8

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/efi-boot/update.d
install -d $RPM_BUILD_ROOT{/lib/efi/{ia32,x64},%{_sbindir},%{_mandir}/man8}

install %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/efi-boot
install %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT/etc/efi-boot/update.d

%clean
rm -rf $RPM_BUILD_ROOT

# Most efi-boot-update-managed loaders will use kernel files
# even if the kernel itself is not built as EFI
%triggerin -- kernel
/sbin/efi-boot-update --auto || :
%triggerin -- kernel-longterm
/sbin/efi-boot-update --auto || :

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_sbindir}/%{name}
%dir /etc/efi-boot
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.conf
%dir /etc/efi-boot/update.d
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.d/grub.conf
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.d/grub-installed.conf
%dir /lib/efi
%dir /lib/efi/ia32
%dir /lib/efi/x64
%{_mandir}/man8/%{name}.8*
%changelog
* Tue Jul 16 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/efi-boot-update.git;a=log;h=master

* Fri Nov 09 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> bc095b9
- Release: 2

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 566f1b8
- pl, better Group

* Sun Nov 04 2012 Jacek Konieczny <jajcus@jajcus.net> e962d02
- Release: 1

* Sun Nov 04 2012 Jacek Konieczny <jajcus@jajcus.net> 560a435
- update_file function fix

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 3509151
- Use --auto in the triggers

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fd24b09
- Reasonable default boot order defined

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 99b2887
- The EFI shell is now packaged separately

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> f3ddbef
- xen.conf removed

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fe76538
- -auto cmd-line option and ALLOW_AUTO flag added

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 1ef784d
- 'grub-installed' module added

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 7d8cd73
- version: 0.1, to match the spec file

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> f8b86fe
- It is not 'x32', it is 'ia32'

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fff9d42
- Do not fail on modules with strange names

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 07ca222
- Do not output result of remove_bootmgr_entry

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> c146919
- Misplaced '--quiet' efibootmgr option fixed

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 85de1e0
- Use /lib/efi/{x32,x64} for storing EFI binaries

* Tue Oct 30 2012 Jacek Konieczny <jajcus@jajcus.net> b32e97c
- documentation updates

* Tue Oct 30 2012 Jacek Konieczny <jajcus@jajcus.net> 24e7240
- documentation updates

* Tue Oct 30 2012 Jacek Konieczny <jajcus@jajcus.net> 45f5d1d
- Fix triggers – they must not fail

* Tue Oct 30 2012 Jacek Konieczny <jajcus@jajcus.net> da8a0db
- Fix boot order setup when efibootmgr is unavail

